Page MenuHomePhabricator

Make it possible to bypass missing test plan
Closed, ResolvedPublic

Description

It's possible to bypass warnings for no reviewers, failed lint, failed tests, etc., but it is not possible to bypass the error for an empty test plan. It should be possible to bypass this error as well, because it should be possible to submit a commit no matter how broken arc believes it is. Submitting broken commits is a common workflow for us to submit e.g. commits with deliberately failing tests to illustrate something that's broken, or submit commits that are nowhere near done as a work in progress / proof of concept.

Details

Reference
fl312

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:35 AM
flimport added a project: Gerrit-Migration.
flimport set Reference to fl312.

epriestley wrote on 2014-05-11 00:01:26 (UTC)

You can disable this field in differential.fields or make it optional with differential.require-test-plan-field in the configuration.

qgil wrote on 2014-05-11 09:32:14 (UTC)

Thank you @epriestley. I have edited /config/group/differential/ in this instance.

differential.require-test-plan-field
Customized
Require "Test Plan" field?
Current Value: false

Marking this task resolved, although we need to document this to apply this configuration when working on the actual Phabricator instance.

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:35 AM
flimport assigned this task to Qgil.Oct 2 2014, 9:46 PM
flimport added a subscriber: Qgil.